com.microfocus.awm.meta.interfaces

## Interface RElementProperty

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RElementPropertyImpl

      public interface RElementProperty
      extends AWMObject

  The "Element has Property" relationship is used to assign properties to an element type.

  The following features are supported:

  - `Target ID`
  - `Property Visible Condition`
  - `Category`
  - `Element Name`
  - `Label`
  - `Seq No`
  - `Sort Direction`
  - `Tree View Label`
  See Also:
    `TaurusPackage.getRElementProperty()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` Returns the value of the 'Category' attribute.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`).
    `RVisibleCondition` | `getPropertyVisibleCondition()` Returns the value of the 'Property Visible Condition' containment reference.
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `ESortDirection` | `getSortDirection()` Returns the value of the 'Sort Direction' attribute.
    `Property` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isElementName()` Returns the value of the 'Element Name' attribute.
    `boolean` | `isSetElementName()` Returns whether the value of the '`Element Name`' attribute is set.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `boolean` | `isSetSortDirection()` Returns whether the value of the '`Sort Direction`' attribute is set.
    `boolean` | `isSetTreeViewLabel()` Returns whether the value of the '`Tree View Label`' attribute is set.
    `boolean` | `isTreeViewLabel()` Returns the value of the 'Tree View Label' attribute.
    `void` | `setCategory(java.lang.String value)` Sets the value of the '`Category`' attribute.
    `void` | `setElementName(boolean value)` Sets the value of the '`Element Name`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setPropertyVisibleCondition(RVisibleCondition value)` Sets the value of the '`Property Visible Condition`' containment reference.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setSortDirection(ESortDirection value)` Sets the value of the '`Sort Direction`' attribute.
    `void` | `setTargetID(Property value)` Sets the value of the '`Target ID`' reference.
    `void` | `setTreeViewLabel(boolean value)` Sets the value of the '`Tree View Label`' attribute.
    `void` | `unsetElementName()` Unsets the value of the '`Element Name`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.
    `void` | `unsetSortDirection()` Unsets the value of the '`Sort Direction`' attribute.
    `void` | `unsetTreeViewLabel()` Unsets the value of the '`Tree View Label`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          Property getTargetID()

      Returns the value of the 'Target ID' reference. Reference to the property.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(Property)`, `TaurusPackage.getRElementProperty_TargetID()`

    - #### setTargetID

          void setTargetID(Property value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getPropertyVisibleCondition

          RVisibleCondition getPropertyVisibleCondition()

      Returns the value of the 'Property Visible Condition' containment reference. By this complex attribute it is possible to define rules under which the element's property should be shown in the Eclipse Property view.
      Returns:
        the value of the 'Property Visible Condition' containment reference.
      See Also:
        `setPropertyVisibleCondition(RVisibleCondition)`, `TaurusPackage.getRElementProperty_PropertyVisibleCondition()`

    - #### setPropertyVisibleCondition

          void setPropertyVisibleCondition(RVisibleCondition value)

      Sets the value of the '`Property Visible Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Property Visible Condition' containment reference.
      See Also:
        `getPropertyVisibleCondition()`

    - #### getCategory

          java.lang.String getCategory()

      Returns the value of the 'Category' attribute.
      The category under which the property is displayed in the Eclipse Properties view.
      Returns:
        the value of the 'Category' attribute.
      See Also:
        `setCategory(String)`, `TaurusPackage.getRElementProperty_Category()`

    - #### setCategory

          void setCategory(java.lang.String value)

      Sets the value of the '`Category`' attribute.
      Parameters:
        `value` - the new value of the 'Category' attribute.
      See Also:
        `getCategory()`

    - #### isElementName

          boolean isElementName()

      Returns the value of the 'Element Name' attribute.
      Determines whether the property's value contains the element name.
      Returns:
        the value of the 'Element Name' attribute.
      See Also:
        `isSetElementName()`, `unsetElementName()`, `setElementName(boolean)`, `TaurusPackage.getRElementProperty_ElementName()`

    - #### setElementName

          void setElementName(boolean value)

      Sets the value of the '`Element Name`' attribute.
      Parameters:
        `value` - the new value of the 'Element Name' attribute.
      See Also:
        `isSetElementName()`, `unsetElementName()`, `isElementName()`

    - #### unsetElementName

          void unsetElementName()

      Unsets the value of the '`Element Name`' attribute.
      See Also:
        `isSetElementName()`, `isElementName()`, `setElementName(boolean)`

    - #### isSetElementName

          boolean isSetElementName()

      Returns whether the value of the '`Element Name`' attribute is set.
      Returns:
        whether the value of the 'Element Name' attribute is set.
      See Also:
        `unsetElementName()`, `isElementName()`, `setElementName(boolean)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Labels the property in the Eclipse Property view. If no label is stated, the property name is used.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRElementProperty_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced Property (`TargetID`). If the Properties Label wasn't set, too, its ID will be returned.

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      Position number of the property in the Properties view. Sequence numbers that appear twice result in a random arrangement of the properties in the Property view.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRElementProperty_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### getSortDirection

          ESortDirection getSortDirection()

      Returns the value of the 'Sort Direction' attribute. The literals are from the enumeration `ESortDirection`.
      Sorts the elements of this type according to the referenced property.

      Allowed value are:

      - NONE
      - Ascending
      - Descending
      Returns:
        the value of the 'Sort Direction' attribute.
      See Also:
        `ESortDirection`, `isSetSortDirection()`, `unsetSortDirection()`, `setSortDirection(ESortDirection)`, `TaurusPackage.getRElementProperty_SortDirection()`

    - #### setSortDirection

          void setSortDirection(ESortDirection value)

      Sets the value of the '`Sort Direction`' attribute.
      Parameters:
        `value` - the new value of the 'Sort Direction' attribute.
      See Also:
        `ESortDirection`, `isSetSortDirection()`, `unsetSortDirection()`, `getSortDirection()`

    - #### unsetSortDirection

          void unsetSortDirection()

      Unsets the value of the '`Sort Direction`' attribute.
      See Also:
        `isSetSortDirection()`, `getSortDirection()`, `setSortDirection(ESortDirection)`

    - #### isSetSortDirection

          boolean isSetSortDirection()

      Returns whether the value of the '`Sort Direction`' attribute is set.
      Returns:
        whether the value of the 'Sort Direction' attribute is set.
      See Also:
        `unsetSortDirection()`, `getSortDirection()`, `setSortDirection(ESortDirection)`

    - #### isTreeViewLabel

          boolean isTreeViewLabel()

      Returns the value of the 'Tree View Label' attribute.
      Determines whether the property's value should be used as the element label in the Tree View. At least one relationship of the element type should have this attribute set to true. If more than one tree view labels are modeled, their values are concatenated and separated by a dash (-) .
      Returns:
        the value of the 'Tree View Label' attribute.
      See Also:
        `isSetTreeViewLabel()`, `unsetTreeViewLabel()`, `setTreeViewLabel(boolean)`, `TaurusPackage.getRElementProperty_TreeViewLabel()`

    - #### setTreeViewLabel

          void setTreeViewLabel(boolean value)

      Sets the value of the '`Tree View Label`' attribute.
      Parameters:
        `value` - the new value of the 'Tree View Label' attribute.
      See Also:
        `isSetTreeViewLabel()`, `unsetTreeViewLabel()`, `isTreeViewLabel()`

    - #### unsetTreeViewLabel

          void unsetTreeViewLabel()

      Unsets the value of the '`Tree View Label`' attribute.
      See Also:
        `isSetTreeViewLabel()`, `isTreeViewLabel()`, `setTreeViewLabel(boolean)`

    - #### isSetTreeViewLabel

          boolean isSetTreeViewLabel()

      Returns whether the value of the '`Tree View Label`' attribute is set.
      Returns:
        whether the value of the 'Tree View Label' attribute is set.
      See Also:
        `unsetTreeViewLabel()`, `isTreeViewLabel()`, `setTreeViewLabel(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.